# Ferramenta de Programação

Cornelius
Schumacher

     schumacher@kde.org

Waldo
Bastian

     bastian@kde.org

Zack
Rusin

     zack@kde.org

2006-06-01
Ambiente de Trabalho K
kconfig_compiler
1

# kconfig_compiler

Compilador de configurações do KDE

    kconfig_compiler Opções do Qt Opções do KDE opções ficheiro.kcfg ficheiro.kcfgc

## Descrição

O `kconfig_compiler` gera código-fonte em C++ a partir de dois ficheiros. O primeiro ficheiro (.kcfg) contém informações sobre as opções de configuração e o segundo (.kcfgc) oferece as opções de geração de código.

O código-fonte gerado contém uma classe baseada na `KConfigSkeleton` que oferece uma API para aceder aos dados de configuração das aplicações.

## Opções

### Argumentos:

ficheiro.kcfg

  Ficheiro 'kcfg' de entrada em XML

ficheiro.kcfgc

  Ficheiro das opções de geração de código

### Opções:

`-d, --directory <pasta>`

  A pasta para onde gerar os ficheiros [.]

### Opções genéricas:

`--help`

  Mostra a ajuda acerca das opções.

`--help-qt`

  Mostra as opções específicas do Qt.

`--help-kde`

  Mostra as opções específicas do KDE

`--help-all`

  Mostrar todas as opções

`--author`

  Mostra informações sobre o autor.

`-v, --version`

  Mostra a versão.

`--license`

  Mostra informações sobre a licença

### Opções do KDE:

`--caption <título>`

  utiliza o 'caption' como o título da aplicação

`--icon <ícone>`

  utiliza o 'icon' como o ícone da aplicação

`--miniicon <ícone>`

  utiliza o 'icon' como o ícone da aplicação

`--config <ficheiro>`

  Usar o ficheiro de configuração alternativo

`--dcopserver <servidor>`

  Usar o servidor de DCOP indicado em 'servidor'

`--nocrashhandler`

  Desactivar o tratamento de estoiros para obter os ficheiros 'core'

`--waitforwm`

  Espera um gestor de janelas compatível com WM_NET

`--style <estilo>`

  Define o estilo gráfico da aplicação

`--geometry <geometria>`

  Define a geometria do cliente da janela principal - veja o 'man X' para obter o formato dos argumentos

### Opções do Qt:

`--display <nome-ecrã>`

  Utilizar o ecrã do servidor de X 'displayname'

`--session <id-sessão>`

  Restaurar a aplicação com o 'sessionId' dado

`--cmap`

  Faz com que a aplicação instale um mapa de cores privado num ecrã de 8 bits

`--ncols <quantidade>`

  Limita o número de cores reservadas no cubo de cores para um ecrã de 8 bits, se a aplicação estiver a usar a especificações de cores QApplication::ManyColor

`--nograb`

  Indica ao Qt para nunca capturar o rato ou o teclado

`--sync`

  Muda para o modo síncrono, para fins de depuração

`--fn, --font <nome-tipo-letra>`

  Define o tipo de letra da aplicação

`--bg, --background <cor>`

  Define a cor de fundo por omissão, bem como uma paleta da aplicação (os tons claros e escuros são calculados)

`--fg, --foreground <cor>`

  Altera a cor do texto por omissão

`--btn, --button <cor>`

  Altera a cor dos botões por omissão

`--name <nome>`

  Define o nome da aplicação

`--title <título>`

  Define o título (legenda) da aplicação

`--visual TrueColor`

  Obriga a aplicação a usar um visual TrueColor num ecrã de 8 bits

`--inputstyle <estilo-entrada>`

  Define o estilo de introdução de dados do XIM (X Input Method). Os valores possíveis são 'onthespot', 'overthespot', 'offthespot' e 'root'

`--im <servidor de XIM>`

  Define o servidor de XIM

`--noxim`

  Desactiva o XIM

`--reverse`

  Inverte por completo a disposição dos elementos gráficos

## Veja Também

`http://developer.kde.org`

  Página Web do Canto do Programador do KDE

## Problemas

Use por favor o bugs.kde.org para comunicar os erros; não os envie directamente para os autores por e-mail.